import { d as sendMessageDiscord, it as sendMessageWhatsApp, u as sendMessageTelegram } from "./loader-364nXh92.js";
import { p as sendMessageSignal } from "./deliver-CDl0wl5Y.js";

//#region ../../src/cli/deps.ts
function createDefaultDeps() {
	return {
		sendMessageWhatsApp,
		sendMessageTelegram,
		sendMessageDiscord,
		sendMessageSignal
	};
}
function createOutboundSendDeps(deps) {
	return {
		sendWhatsApp: deps.sendMessageWhatsApp,
		sendTelegram: deps.sendMessageTelegram,
		sendDiscord: deps.sendMessageDiscord,
		sendSignal: deps.sendMessageSignal
	};
}

//#endregion
export { createOutboundSendDeps as n, createDefaultDeps as t };